summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2016-02-10 23:03:28 +0000
committerSergei Trofimovich <slyfox@gentoo.org>2016-02-10 23:03:36 +0000
commit9bc66f191869fb05fcdd07973782b2097497a7fc (patch)
treea4d702f983a95740683b9afe40fb9276ac56c25a /dev-lang/ghc
parentapp-text/atril: Fix missing configure option. Thanks to joost_op (diff)
downloadgentoo-9bc66f191869fb05fcdd07973782b2097497a7fc.tar.gz
gentoo-9bc66f191869fb05fcdd07973782b2097497a7fc.tar.bz2
gentoo-9bc66f191869fb05fcdd07973782b2097497a7fc.zip
dev-lang/ghc: move QA_PREBUILT to pkg_setup(), bug #566534
Should fix paludis users. The change requires yet unreleased portage 2.2.28 to make QA_PREBUILT work as expected. Bug: https://bugs.gentoo.org/566534 Package-Manager: portage-2.2.27
Diffstat (limited to 'dev-lang/ghc')
-rw-r--r--dev-lang/ghc/ghc-7.10.2-r1.ebuild6
-rw-r--r--dev-lang/ghc/ghc-7.10.2.ebuild6
-rw-r--r--dev-lang/ghc/ghc-7.4.2.ebuild5
-rw-r--r--dev-lang/ghc/ghc-7.6.3-r1.ebuild5
-rw-r--r--dev-lang/ghc/ghc-7.8.3.ebuild6
-rw-r--r--dev-lang/ghc/ghc-7.8.4.ebuild6
6 files changed, 18 insertions, 16 deletions
diff --git a/dev-lang/ghc/ghc-7.10.2-r1.ebuild b/dev-lang/ghc/ghc-7.10.2-r1.ebuild
index fe3ce0db6d6..c010b36d074 100644
--- a/dev-lang/ghc/ghc-7.10.2-r1.ebuild
+++ b/dev-lang/ghc/ghc-7.10.2-r1.ebuild
@@ -107,9 +107,6 @@ PDEPEND="!ghcbootstrap? ( =app-admin/haskell-updater-1.2* )"
REQUIRED_USE="?? ( ghcbootstrap binary )"
-# yeah, top-level 'use' sucks. I'd like to have it in 'src_install()'
-use binary && QA_PREBUILT="*"
-
# haskell libraries built with cabal in configure mode, #515354
QA_CONFIGURE_OPTIONS+=" --with-compiler --with-gcc"
@@ -317,6 +314,9 @@ relocate_ghc() {
}
pkg_setup() {
+ # quiet portage about prebuilt binaries
+ use binary && QA_PREBUILT="*"
+
[[ ${MERGE_TYPE} == binary ]] && return
if use ghcbootstrap; then
diff --git a/dev-lang/ghc/ghc-7.10.2.ebuild b/dev-lang/ghc/ghc-7.10.2.ebuild
index 21c79e5128b..719778ce02f 100644
--- a/dev-lang/ghc/ghc-7.10.2.ebuild
+++ b/dev-lang/ghc/ghc-7.10.2.ebuild
@@ -107,9 +107,6 @@ PDEPEND="!ghcbootstrap? ( =app-admin/haskell-updater-1.2* )"
REQUIRED_USE="?? ( ghcbootstrap binary )"
-# yeah, top-level 'use' sucks. I'd like to have it in 'src_install()'
-use binary && QA_PREBUILT="*"
-
# haskell libraries built with cabal in configure mode, #515354
QA_CONFIGURE_OPTIONS+=" --with-compiler --with-gcc"
@@ -317,6 +314,9 @@ relocate_ghc() {
}
pkg_setup() {
+ # quiet portage about prebuilt binaries
+ use binary && QA_PREBUILT="*"
+
[[ ${MERGE_TYPE} == binary ]] && return
if use ghcbootstrap; then
diff --git a/dev-lang/ghc/ghc-7.4.2.ebuild b/dev-lang/ghc/ghc-7.4.2.ebuild
index 679f1ba9eae..366f1d473b1 100644
--- a/dev-lang/ghc/ghc-7.4.2.ebuild
+++ b/dev-lang/ghc/ghc-7.4.2.ebuild
@@ -111,8 +111,6 @@ PDEPEND="
# ia64 fails to return from STG GMP primitives (stage2 always SIGSEGVs)
REQUIRED_USE="ia64? ( !gmp )"
-use binary && QA_PREBUILT="*"
-
append-ghc-cflags() {
local flag compile assemble link
for flag in $*; do
@@ -248,6 +246,9 @@ relocate_ghc() {
}
pkg_setup() {
+ # quiet portage about prebuilt binaries
+ use binary && QA_PREBUILT="*"
+
if use ghcbootstrap; then
ewarn "You requested ghc bootstrapping, this is usually only used"
ewarn "by Gentoo developers to make binary .tbz2 packages for"
diff --git a/dev-lang/ghc/ghc-7.6.3-r1.ebuild b/dev-lang/ghc/ghc-7.6.3-r1.ebuild
index 5dc2f89a804..c5c2e89c41d 100644
--- a/dev-lang/ghc/ghc-7.6.3-r1.ebuild
+++ b/dev-lang/ghc/ghc-7.6.3-r1.ebuild
@@ -122,8 +122,6 @@ PDEPEND="
# ia64 fails to return from STG GMP primitives (stage2 always SIGSEGVs)
REQUIRED_USE="ia64? ( !gmp )"
-use binary && QA_PREBUILT="*"
-
# haskell libraries built with cabal in configure mode, #515354
QA_CONFIGURE_OPTIONS+=" --with-compiler --with-gcc"
@@ -301,6 +299,9 @@ relocate_ghc() {
}
pkg_setup() {
+ # quiet portage about prebuilt binaries
+ use binary && QA_PREBUILT="*"
+
if use ghcbootstrap; then
ewarn "You requested ghc bootstrapping, this is usually only used"
ewarn "by Gentoo developers to make binary .tbz2 packages for"
diff --git a/dev-lang/ghc/ghc-7.8.3.ebuild b/dev-lang/ghc/ghc-7.8.3.ebuild
index 2831f4df44c..8bc6574929b 100644
--- a/dev-lang/ghc/ghc-7.8.3.ebuild
+++ b/dev-lang/ghc/ghc-7.8.3.ebuild
@@ -97,9 +97,6 @@ PDEPEND="!ghcbootstrap? ( =app-admin/haskell-updater-1.2* )"
REQUIRED_USE="?? ( ghcbootstrap binary )"
-# yeah, top-level 'use' sucks. I'd like to have it in 'src_install()'
-use binary && QA_PREBUILT="*"
-
# haskell libraries built with cabal in configure mode, #515354
QA_CONFIGURE_OPTIONS+=" --with-compiler --with-gcc"
@@ -268,6 +265,9 @@ relocate_ghc() {
}
pkg_setup() {
+ # quiet portage about prebuilt binaries
+ use binary && QA_PREBUILT="*"
+
if use ghcbootstrap; then
ewarn "You requested ghc bootstrapping, this is usually only used"
ewarn "by Gentoo developers to make binary .tbz2 packages."
diff --git a/dev-lang/ghc/ghc-7.8.4.ebuild b/dev-lang/ghc/ghc-7.8.4.ebuild
index c7640dd3bfe..aa9c5ccff19 100644
--- a/dev-lang/ghc/ghc-7.8.4.ebuild
+++ b/dev-lang/ghc/ghc-7.8.4.ebuild
@@ -98,9 +98,6 @@ PDEPEND="!ghcbootstrap? ( =app-admin/haskell-updater-1.2* )"
REQUIRED_USE="?? ( ghcbootstrap binary )"
-# yeah, top-level 'use' sucks. I'd like to have it in 'src_install()'
-use binary && QA_PREBUILT="*"
-
# haskell libraries built with cabal in configure mode, #515354
QA_CONFIGURE_OPTIONS+=" --with-compiler --with-gcc"
@@ -269,6 +266,9 @@ relocate_ghc() {
}
pkg_setup() {
+ # quiet portage about prebuilt binaries
+ use binary && QA_PREBUILT="*"
+
[[ ${MERGE_TYPE} == binary ]] && return
if use ghcbootstrap; then